Page MenuHomePhabricator

[Testflight Screenshots]: transparent PNGs in dark mode
Closed, ResolvedPublicBUG REPORT

Description

Repro steps

  1. Open https://de.wikipedia.org/api/rest_v1/page/mobile-html/COVID-19-Pandemie_in_Deutschland/200070679?theme=dark
  2. Look at the graphs in the "Statistiken und Fallzahlen" section

Expected

Light background on the graphs

Actual

Dark background on the graphs

Notes

From OTRS:

In darkmode transparent PNGs have black or gray background. Maybe they should also be white.

Event Timeline

Tsevener created this task.Apr 1 2020, 5:11 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 1 2020, 5:11 PM
LGoto triaged this task as Low priority.Apr 2 2020, 7:14 PM
LGoto moved this task from Needs Triage to Bug Backlog on the Wikipedia-iOS-App-Backlog board.

Change 596634 had a related patch set uploaded (by Jgiannelos; owner: Jgiannelos):
[mediawiki/services/mobileapps@master] Fix background color for transparent graphs in dark/black mode

https://gerrit.wikimedia.org/r/596634

bearND added subscribers: schoenbaechler, cmadeo, bearND.EditedMay 15 2020, 4:01 PM

@cmadeo @schoenbaechler

Here's a screenshot of how the page would look like after the change:
http://localhost:8888/de.wikipedia.org/v1/page/mobile-html/COVID-19-Pandemie_in_Deutschland?theme=dark

Edit: You can see the used background color value in the patch linked above.
Not sure why all the sections on this page are collapsed. I had to open the "Statistiken und Fallzahlen" heading to see the graph.

@Johan would it be possible to get the editors to add a "notheme" class to the divs with the "hintergrundfarbe1" class in this article? This was the approach described in T236137 to work around this issue.

Julle added a subscriber: Julle.May 15 2020, 11:40 PM

Being an editor and this being late enough to be in my spare time, I've simply added it since it fixes a problem that ought to be fixed.

(But they used flagged revisions and I'm only an occasional editor on German Wikipedia, so someone else needs to accept the edit.)

@Julle I made one small tweak - it needed to be class="hintergrundfarbe1 notheme" instead of class="hintergrundfarbe1" class="notheme" but it is fixed now. Thanks!

JoeWalsh updated the task description. (Show Details)May 18 2020, 10:47 AM
JoeWalsh updated the task description. (Show Details)
JoeWalsh updated the task description. (Show Details)May 18 2020, 10:56 AM

@JoeWalsh Should we consider fixing it in the user level by adding notheme as a solution for all similar issues or is it just a workaround for this wiki article specifically?

@Jgiannelos yes, it should be fixed at the user level with notheme for all similar issues. The context here is that we previously maintained a more extensive list of exclusions and it became untenable. There's not clear documentation so the confusion is understandable. I'll add this info to the comment at the top of ThemeTransform.css and a section in the pcs.md doc.

Sounds good, thanks for the context @JoeWalsh

Change 596634 abandoned by Jgiannelos:
Fix background color for transparent graphs in dark/black mode

Reason:
Issue fixed in the user level by adding notheme to the png

https://gerrit.wikimedia.org/r/596634

Jgiannelos closed this task as Resolved.May 29 2020, 8:37 AM